<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# GUESTBOOK-LIST                                                   #
# Vendégkönyv lista                                                #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.23.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Bejegyzések kiíratása
  echo "      <div class=\"alcim\">".ucfirst($szoveg[bejegyzesek])."</div><p>\n";
  // A kiirt találatok száma
  $kiirt=0;
  // Vendégkönyv lekérdezése
  // csak azok a bejegyzések, amelyek megjeleníthetők!
  $lekerdezes_vkonyv = lekerdezes("SELECT * FROM vendegkonyv
           WHERE v_megjelenik=1
           ORDER BY v_ido DESC");
  $ossz_vkonyv = ossz_rekord($lekerdezes_vkonyv);  
  // vendegkonyv kiiratása
  if ($ossz_vkonyv>0) {
    $lekerdezes_sora = $listazando*($page-1);
    rekord_ugras($lekerdezes_vkonyv, $lekerdezes_sora); 
    while (($rekord_vkonyv = olvas_asszociativ($lekerdezes_vkonyv)) && ($kiirt < $listazando)) {
      $kiirt++;
      echo "      <table class=\"vkonyv\">\n";
      echo "        <tr>\n";
      // Ha belépett admin felhasználó van, akkor megjelenik a vendégkönyv törlése
      if ($_SESSION['user'] != '') {
        echo "            <td rowspan=\"2\" width=\"20\" valign=\"top\">";
        echo "<a href=\"".$php."?do=".$mitcsinal."&mode=delete&id=".$rekord_vkonyv[v_azon]."\">";
        echo "<img src=\"".$dir['images']."/icon_drop.png\" width=\"16\" height=\"16\" border=\"0\"></a>";
        echo "</td>\n";          
      }
      echo "            <td class=\"vkonyvfej\">$rekord_vkonyv[v_nev]</td>\n";
      echo "            <td class=\"vkonyvdatum\">".date('Y.m.d. H:i',strtotime($rekord_vkonyv[v_ido]))."</td>\n";
      echo "        </tr><tr>\n";
      echo "            <td colspan=2 class=\"vkonyvszoveg\">$rekord_vkonyv[v_uzenet]</td>\n";
      echo "        </tr>\n";
      echo "      </table>\n";
    }
    talalatioldalak($ossz_vkonyv,$kiirt,"");
  }
  // nincs bejegyzés
  else {
    echo "      <div class=\"hiba\">".ucfirst($szoveg[vkonyvures]).".</div>\n";	
  }
?>
